Commit eb029cb8 authored by FredericLeroy's avatar FredericLeroy

build_helper: use official bladerf packages

bladerf ppa don't publish packages for Ubuntu 16.04.
There are official packages for bladerf so we use these.
parent ccddb785
...@@ -231,8 +231,10 @@ install_usrp_uhd_driver() { ...@@ -231,8 +231,10 @@ install_usrp_uhd_driver() {
} }
check_install_bladerf_driver(){ check_install_bladerf_driver(){
$SUDO add-apt-repository -y ppa:bladerf/bladerf if [ "$(get_distribution_release)" == "Ubuntu14.04" ] ; then
$SUDO apt-get update $SUDO add-apt-repository -y ppa:bladerf/bladerf
$SUDO apt-get update
fi
$SUDO apt-get install -y bladerf libbladerf-dev $SUDO apt-get install -y bladerf libbladerf-dev
$SUDO apt-get install -y bladerf-firmware-fx3 $SUDO apt-get install -y bladerf-firmware-fx3
$SUDO apt-get install -y bladerf-fpga-hostedx40 $SUDO apt-get install -y bladerf-fpga-hostedx40
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment